Documentation Index Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
This API allows users to track the status of ongoing or completed jobs related to workflows or models. After triggering operations like import , export , deploy , or undeploy , this API is used to get real-time updates on progress, success, or failure, enabling efficient monitoring of execution.
Method GET Endpoint https://{host}/api/public/dock-status/{dockStatusId}Content Type application/json Authorization X-api-key - The API key used for authentication.
Where can I find the API key?
To use the API, you will need an API key. Learn more .
Path Parameters
PARAMETER DESCRIPTION TYPE REQUIRED/OPTIONAL host The environment URL. For example, https://ai-for-process.domain.ai/ String Required dockStatusId The dock status ID that’s received in the response. String Required
Sample Request
curl -- location 'https://{host}/api/public/dock-status/ds-24xxxxx3-0xxc-5xx5-axx3-c19xxxxxxxx8'
-- header 'x-api-key: kg-abxxxxx7-5xx3-5xx8-bxxb-9xxxx'
Body Parameters
No parameters are passed.
Sample Response
{
"_id" : "{id}" ,
"workflowId" : "{workflowid}" ,
"jobType" : "{jobtype}" ,
"action" : "{action}" ,
"status" : "{status}"
}
Response Parameters
PARAMETER DESCRIPTION TYPE SAMPLE VALUE(S) _id The unique identifier for the dock status. String e.g., ds-c6xxxxx5-dxxd-5xxf-9xxd-0xxxxx6xxxx8 workflowId The unique identifier for the workflow. String e.g., a-8xxxxxbe-6xxe-5xx1-8xxc-bxxxxxx80xx6 jobType Type of job being performed. String WORKFLOWS, MODELS, or GUARDRAILSaction The action being performed on the workflow/model. String IMPORT, EXPORT, DEPLOY, or UNDEPLOYstatus The current status of the job. String IN_PROGRESS, SUCCESS, or FAILED